@media(max-width:1439px) {
    .image-box {
        width: 16%;
    }

    .custmPhotoContain .image-box:nth-child(10) .tooltips,
    .custmPhotoContain .image-box:nth-child(20) .tooltips {
        right: unset;
    }

    .custmPhotoContain .image-box:nth-child(10) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(20) .tooltips::before {
        right: unset;
        left: 32px;
    }

    .custmPhotoContain .image-box:nth-child(6) .tooltips,
    .custmPhotoContain .image-box:nth-child(12) .tooltips,
    .custmPhotoContain .image-box:nth-child(18) .tooltips,
    .custmPhotoContain .image-box:nth-child(24) .tooltips {
        right: 0;
    }

    .custmPhotoContain .image-box:nth-child(6) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(12) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(18) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(24) .tooltips::before {
        right: 42px;
        left: unset;
    }

}

@media(max-width:1365px) {
    .image-box {
        width: calc(20% - 8px);
    }

    .custmPhotoContain .image-box:nth-child(6) .tooltips,
    .custmPhotoContain .image-box:nth-child(12) .tooltips,
    .custmPhotoContain .image-box:nth-child(18) .tooltips,
    .custmPhotoContain .image-box:nth-child(24) .tooltips {
        right: unset;
    }

    .custmPhotoContain .image-box:nth-child(6) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(12) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(18) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(24) .tooltips::before {
        right: unset;
        left: 32px;
    }

    .custmPhotoContain .image-box:nth-child(5) .tooltips,
    .custmPhotoContain .image-box:nth-child(10) .tooltips,
    .custmPhotoContain .image-box:nth-child(15) .tooltips,
    .custmPhotoContain .image-box:nth-child(20) .tooltips,
    .custmPhotoContain .image-box:nth-child(25) .tooltips {
        right: 0;
    }

    .custmPhotoContain .image-box:nth-child(5) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(10) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(15) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(20) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(25) .tooltips::before {
        right: 42px;
        left: unset;
    }
}

@media(max-width:1023px) {
    .image-box {
        width: calc(25% - 8px);
    }

    .modal-photos-details {
        flex-direction: column;
    }

    .modal-photos-details img,
    .modal-photos-details .right-content-bx {
        width: 100%;
    }

    .custmPhotoContain .image-box:nth-child(5) .tooltips,
    .custmPhotoContain .image-box:nth-child(10) .tooltips,
    .custmPhotoContain .image-box:nth-child(15) .tooltips,
    .custmPhotoContain .image-box:nth-child(20) .tooltips,
    .custmPhotoContain .image-box:nth-child(25) .tooltips,
    .custmPhotoContain .image-box:nth-child(30) .tooltips {
        right: unset;
    }

    .custmPhotoContain .image-box:nth-child(5) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(10) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(15) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(20) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(25) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(30) .tooltips::before {
        right: unset;
        left: 32px;
    }

    .custmPhotoContain .image-box:nth-child(4) .tooltips,
    .custmPhotoContain .image-box:nth-child(8) .tooltips,
    .custmPhotoContain .image-box:nth-child(12) .tooltips,
    .custmPhotoContain .image-box:nth-child(16) .tooltips,
    .custmPhotoContain .image-box:nth-child(20) .tooltips,
    .custmPhotoContain .image-box:nth-child(24) .tooltips,
    .custmPhotoContain .image-box:nth-child(28) .tooltips {
        right: 0;
    }

    .custmPhotoContain .image-box:nth-child(4) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(8) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(12) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(16) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(20) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(24) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(28) .tooltips::before {
        right: 42px;
        left: unset;
    }
}

@media(max-width:768px) {
    .image-box {
        width: calc(33.333333% - 7px);
    }

    .custmPhotoContain .image-box:nth-child(4) .tooltips,
    .custmPhotoContain .image-box:nth-child(8) .tooltips,
    .custmPhotoContain .image-box:nth-child(12) .tooltips,
    .custmPhotoContain .image-box:nth-child(16) .tooltips,
    .custmPhotoContain .image-box:nth-child(20) .tooltips,
    .custmPhotoContain .image-box:nth-child(24) .tooltips,
    .custmPhotoContain .image-box:nth-child(28) .tooltips {
        right: unset;
    }

    .custmPhotoContain .image-box:nth-child(4) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(8) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(12) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(16) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(20) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(24) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(28) .tooltips::before {
        right: unset;
        left: 32px;
    }

    .custmPhotoContain .image-box:nth-child(3) .tooltips,
    .custmPhotoContain .image-box:nth-child(6) .tooltips,
    .custmPhotoContain .image-box:nth-child(9) .tooltips,
    .custmPhotoContain .image-box:nth-child(12) .tooltips,
    .custmPhotoContain .image-box:nth-child(15) .tooltips,
    .custmPhotoContain .image-box:nth-child(18) .tooltips,
    .custmPhotoContain .image-box:nth-child(21) .tooltips,
    .custmPhotoContain .image-box:nth-child(24) .tooltips,
    .custmPhotoContain .image-box:nth-child(27) .tooltips,
    .custmPhotoContain .image-box:nth-child(30) .tooltips {
        right: 0;
    }

    .custmPhotoContain .image-box:nth-child(3) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(6) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(9) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(12) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(15) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(18) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(21) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(24) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(27) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(30) .tooltips::before {
        right: 42px;
        left: unset;
    }


}

@media only screen and (max-width:559px) {
    .image-box {
        width: calc(50% - 5px);
    }

    .custmPhotoContain .image-box:nth-child(3) .tooltips,
    .custmPhotoContain .image-box:nth-child(6) .tooltips,
    .custmPhotoContain .image-box:nth-child(9) .tooltips,
    .custmPhotoContain .image-box:nth-child(12) .tooltips,
    .custmPhotoContain .image-box:nth-child(15) .tooltips,
    .custmPhotoContain .image-box:nth-child(18) .tooltips,
    .custmPhotoContain .image-box:nth-child(21) .tooltips,
    .custmPhotoContain .image-box:nth-child(23) .tooltips,
    .custmPhotoContain .image-box:nth-child(27) .tooltips,
    .custmPhotoContain .image-box:nth-child(30) .tooltips {
        right: unset;
    }

    .custmPhotoContain .image-box:nth-child(3) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(6) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(9) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(12) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(15) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(18) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(21) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(24) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(27) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(30) .tooltips::before {
        right: unset;
        left: 32px;
    }

    .custmPhotoContain .image-box:nth-child(2) .tooltips,
    .custmPhotoContain .image-box:nth-child(4) .tooltips,
    .custmPhotoContain .image-box:nth-child(6) .tooltips,
    .custmPhotoContain .image-box:nth-child(8) .tooltips,
    .custmPhotoContain .image-box:nth-child(10) .tooltips,
    .custmPhotoContain .image-box:nth-child(12) .tooltips,
    .custmPhotoContain .image-box:nth-child(14) .tooltips,
    .custmPhotoContain .image-box:nth-child(16) .tooltips,
    .custmPhotoContain .image-box:nth-child(18) .tooltips,
    .custmPhotoContain .image-box:nth-child(20) .tooltips,
    .custmPhotoContain .image-box:nth-child(22) .tooltips,
    .custmPhotoContain .image-box:nth-child(24) .tooltips,
    .custmPhotoContain .image-box:nth-child(26) .tooltips,
    .custmPhotoContain .image-box:nth-child(28) .tooltips,
    .custmPhotoContain .image-box:nth-child(30) .tooltips {
        right: 0;
    }

    .custmPhotoContain .image-box:nth-child(2) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(4) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(6) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(8) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(10) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(12) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(14) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(16) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(18) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(20) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(22) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(24) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(26) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(28) .tooltips::before,
    .custmPhotoContain .image-box:nth-child(30) .tooltips::before {
        right: 42px;
        left: unset;
    }

    /* add new css for view scren 6th march */
    ul.sub-menu-list,
    .page-action-btn {
        width: 100%;
        max-width: 100%;
        overflow: auto;
        white-space: nowrap;
    }

    div.top-page-header-menu {
        top: 141px;
    }

    .subheader-conatiner {
        top: 70px;
    }

    .dashboard-header {
        border-radius: 0;
    }

    .right-section-container-wrapper {
        margin-top: 16px;
    }

    ul.sub-menu-list {
        margin-top: 0;
    }

    .breadcrumb-container {
        padding-left: 16px;
    }

    .work-order-list-main-wrapper {
        padding: 0;
    }

    h6.work-order-info-title {
        padding: 16px;
        padding-left: 12px;
    }

    button#addAssignRule {
        margin-left: 12px;
    }

    table thead tr th {
        white-space: nowrap;
    }

    div.page-action-btn {
        top: 276px;
    }

}


/* add new css for login screen responsive */


@media only screen and (max-width:992px) {
    .login-page-main-container {
        background-image: unset;
        background-position: unset;
        background-repeat: unset;
        position: relative;
        overflow: auto;
        align-content: center;
    }

    .pattern-img-left {
        display: none;
    }

    .logo-conatiner {
        text-align: center;
        padding-bottom: 48px;
    }

    .login-field-wrapper {
        gap: 0px;
    }

    /* media query css for admin dashboard */
    span.logged-user {
        display: none;
    }

    .dashboard-header {
        padding: 6px 16px;
    }

    .top-action-button {
        padding-bottom: 16px;
    }

    .navbar-light .navbar-toggler,
    .navbar-light .navbar-toggler:focus-visible {
        padding: 0;
        border: none;
        background: transparent;
    }

    .header-navigation {
        background-color: #e5ede9;
        position: absolute;
        top: 76px;
        left: 0;
        right: 0;
        z-index: 99;
    }

    .header-navigation .navbar-collapse.show {
        padding: 20px 16px 16px;
    }

    .top-navigation-menu li a,
    .top-navigation-menu li div {
        display: block;
        width: 100%;
        text-align: center;
    }

    .header-navigation ul {
        gap: 16px;
    }

    ul.sub-menu-list,
    .page-action-btn {
        width: 100%;
        max-width: 100%;
        overflow: auto;
        white-space: nowrap;
    }


}

@media only screen and (min-width: 600px) and (max-width:992px) {
    .subheader-conatiner {
        top: 72px;
    }

    div.top-page-header-menu {
        top: 139px;
    }

    div.page-action-btn {
        top: 251px;
    }

    .subheader-conatiner>.breadcrumb-container {
        padding-top: 12px;
    }
}

@media only screen and (min-width: 600px) and (max-width:1200px) {

    ul.sub-menu-list,
    .page-action-btn {
        width: 100%;
        max-width: 100%;
        overflow: auto;
        white-space: nowrap;
    }
}